Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface BoundListOperations<K,V>

All Superinterfaces:
  BoundKeyOperations<K>

    public interface BoundListOperations<K,V>

extends BoundKeyOperations<K>

List operations bound to a certain key.

Method Summary
`RedisOperations<K,V>` | `getOperations()`
`V` | `index(long index)`
`V` | `leftPop()`
`V` | `leftPop(long timeout, TimeUnit unit)`
`Long` | `leftPush(V value)`
`Long` | `leftPush(V pivot, V value)`
`Long` | `leftPushAll(V... values)`
`Long` | `leftPushIfPresent(V value)`
`List<V>` | `range(long start, long end)`
`Long` | `remove(long i, Object value)`
`V` | `rightPop()`
`V` | `rightPop(long timeout, TimeUnit unit)`
`Long` | `rightPush(V value)`
`Long` | `rightPush(V pivot, V value)`
`Long` | `rightPushAll(V... values)`
`Long` | `rightPushIfPresent(V value)`
`void` | `set(long index, V value)`
`Long` | `size()`
`void` | `trim(long start, long end)`

Methods inherited from interface org.springframework.data.redis.core.BoundKeyOperations
`expire, expireAt, getExpire, getKey, getType, persist, rename`

Method Detail

### getOperations

    RedisOperations<K,V> getOperations()

### range

    List<V> range(long start,
                  long end)

### trim

    void trim(long start,
              long end)

### size

    Long size()

### leftPush

    Long leftPush(V value)

### leftPushAll

    Long leftPushAll(V... values)

### leftPushIfPresent

    Long leftPushIfPresent(V value)

### leftPush

    Long leftPush(V pivot,
                  V value)

### rightPush

    Long rightPush(V value)

### rightPushAll

    Long rightPushAll(V... values)

### rightPushIfPresent

    Long rightPushIfPresent(V value)

### rightPush

    Long rightPush(V pivot,
                   V value)

### leftPop

    V leftPop()

### leftPop

    V leftPop(long timeout,
              TimeUnit unit)

### rightPop

    V rightPop()

### rightPop

    V rightPop(long timeout,
               TimeUnit unit)

### remove

    Long remove(long i,
                Object value)

### index

    V index(long index)

### set

    void set(long index,
             V value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD